Browse Source

Remove unused helper scripts

Marek Marczykowski-Górecki 7 years ago
parent
commit
81162a699b

+ 0 - 2
linux/aux-tools/Makefile

@@ -3,9 +3,7 @@ all:
 
 install:
 	mkdir -p $(DESTDIR)/usr/lib/qubes
-	cp unbind-pci-device.sh $(DESTDIR)/usr/lib/qubes
 	cp cleanup-dispvms $(DESTDIR)/usr/lib/qubes
 	cp startup-misc.sh $(DESTDIR)/usr/lib/qubes
-	cp prepare-volatile-img.sh $(DESTDIR)/usr/lib/qubes
 	cp block-cleaner-daemon.py $(DESTDIR)/usr/lib/qubes/
 	cp fix-dir-perms.sh $(DESTDIR)/usr/lib/qubes/

+ 0 - 25
linux/aux-tools/prepare-volatile-img.sh

@@ -1,25 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if ! echo $PATH | grep -q sbin; then
-	PATH=$PATH:/sbin:/usr/sbin
-fi
-
-FILENAME=$1
-ROOT_SIZE=$2
-SWAP_SIZE=$[ 1024 ]
-
-if [ -z "$ROOT_SIZE" -o -z "$FILENAME" ]; then
-	echo "Usage: $0 <filename> <root.img size in MB>"
-	exit 1
-fi
-
-if [ -e "$FILENAME" ]; then
-	echo "$FILENAME already exists, not overriding"
-	exit 1
-fi
-
-umask 002
-TOTAL_SIZE=$[ $ROOT_SIZE + $SWAP_SIZE + 512 ]
-truncate -s ${TOTAL_SIZE}M "$FILENAME"

+ 0 - 48
linux/aux-tools/unbind-pci-device.sh

@@ -1,48 +0,0 @@
-#!/bin/sh
-#
-# The Qubes OS Project, http://www.qubes-os.org
-#
-# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-#
-#
-
-BDF=$1
-if [ x$BDF = x ] ; then
-    echo "usage: $0 <BDF>"
-    exit 0
-fi
-BDF=0000:$BDF
-#echo -n "Binding device $BDF to xen-pciback..."
-if [ -e /sys/bus/pci/drivers/pciback/$BDF ]; then
-    # Already bound to pciback
-    # Check if device not assigned to any RUNNING VM
-    XS_PATH=/local/domain/0/backend/pci
-    GREP_RE="^$XS_PATH/[0-9]*/[0-9]*/dev-[0-9]* = \"$BDF\""
-    if xenstore-ls -f $XS_PATH 2> /dev/null | grep -q "$GREP_RE"; then
-        DOMID=`xenstore-ls -f $XS_PATH | grep  "$GREP_RE"|cut -d/ -f7`
-        echo "ERROR: Device already attached to the running VM '`xl domname $DOMID`'" >&2
-        exit 1
-    fi
-    exit 0
-fi
-
-if [ -e /sys/bus/pci/devices/$BDF/driver/unbind ] ; then 
-    echo -n $BDF > /sys/bus/pci/devices/$BDF/driver/unbind || exit 1
-fi
-echo -n $BDF > /sys/bus/pci/drivers/pciback/new_slot || exit 1
-echo -n $BDF > /sys/bus/pci/drivers/pciback/bind || exit 1
-#echo ok

+ 0 - 3
qubes/config.py

@@ -52,9 +52,6 @@ system_path = {
     'qrexec_policy_dir': '/etc/qubes-rpc/policy',
 
     'config_template_pv': '/usr/share/qubes/vm-template.xml',
-
-    'qubes_pciback_cmd': '/usr/lib/qubes/unbind-pci-device.sh',
-    'prepare_volatile_img_cmd': '/usr/lib/qubes/prepare-volatile-img.sh',
 }
 
 vm_files = {

+ 0 - 2
rpm_spec/core-dom0.spec

@@ -373,12 +373,10 @@ fi
 %dir %{python3_sitelib}/qubespolicy/glade
 %{python3_sitelib}/qubespolicy/glade/RPCConfirmationWindow.glade
 
-/usr/lib/qubes/unbind-pci-device.sh
 /usr/lib/qubes/cleanup-dispvms
 /usr/lib/qubes/block-cleaner-daemon.py*
 /usr/lib/qubes/fix-dir-perms.sh
 /usr/lib/qubes/startup-misc.sh
-/usr/lib/qubes/prepare-volatile-img.sh
 /usr/libexec/qubes/qubes-notify-tools
 /usr/libexec/qubes/qubes-notify-updates
 %{_unitdir}/qubes-block-cleaner.service